Control: tags 1126986 + patch
Control: tags 1126986 + pending
Control: tags 1136752 + patch
Control: tags 1136752 + pending

Dear maintainer,

I've prepared an NMU for sympa (versioned as 6.2.76~dfsg-1.1) and 
uploaded it to DELAYED/14. Please feel free to tell me if I should 
cancel it.

cu
Adrian
diffstat for sympa-6.2.76~dfsg sympa-6.2.76~dfsg

 changelog                                  |    8 
 patches/0001-make-gettext-up-to-date.patch | 1075 +++++++++++++++++++++++++++++
 patches/series                             |    1 
 3 files changed, 1084 insertions(+)

diff -Nru sympa-6.2.76~dfsg/debian/changelog sympa-6.2.76~dfsg/debian/changelog
--- sympa-6.2.76~dfsg/debian/changelog	2025-02-12 22:19:24.000000000 +0200
+++ sympa-6.2.76~dfsg/debian/changelog	2026-06-07 08:23:12.000000000 +0300
@@ -1,3 +1,11 @@
+sympa (6.2.76~dfsg-1.1) unstable; urgency=medium
+
+  * Non-maintainer upload.
+  * Backport upstream fix for FTBFS with gettext 0.26 and autoconf 2.73.
+    (Closes: #1126986, #1136752)
+
+ -- Adrian Bunk <[email protected]>  Sun, 07 Jun 2026 08:23:12 +0300
+
 sympa (6.2.76~dfsg-1) unstable; urgency=medium
 
   *  New upstream release
diff -Nru sympa-6.2.76~dfsg/debian/patches/0001-make-gettext-up-to-date.patch sympa-6.2.76~dfsg/debian/patches/0001-make-gettext-up-to-date.patch
--- sympa-6.2.76~dfsg/debian/patches/0001-make-gettext-up-to-date.patch	1970-01-01 02:00:00.000000000 +0200
+++ sympa-6.2.76~dfsg/debian/patches/0001-make-gettext-up-to-date.patch	2026-06-07 08:23:12.000000000 +0300
@@ -0,0 +1,1075 @@
+From 10f2875da76ffff7e247edb02ccd8f894b7e2ed7 Mon Sep 17 00:00:00 2001
+From: IKEDA Soji <[email protected]>
+Date: Fri, 27 Mar 2026 13:02:58 +0900
+Subject: make gettext up-to-date
+
+---
+ .github/workflows/make-check.yml |   1 +
+ configure.ac                     |   3 +-
+ po/sympa/Makefile.in.in          | 483 -------------------------------
+ po/sympa/remove-potcdate.sin     |  19 --
+ po/web_help/Makefile.in.in       | 483 -------------------------------
+ po/web_help/remove-potcdate.sin  |  19 --
+ 6 files changed, 3 insertions(+), 1005 deletions(-)
+ delete mode 100644 po/sympa/Makefile.in.in
+ delete mode 100644 po/sympa/remove-potcdate.sin
+ delete mode 100644 po/web_help/Makefile.in.in
+ delete mode 100644 po/web_help/remove-potcdate.sin
+
+diff --git a/.github/workflows/make-check.yml b/.github/workflows/make-check.yml
+index a0dacde35..6bb23f2e1 100644
+--- a/.github/workflows/make-check.yml
++++ b/.github/workflows/make-check.yml
+@@ -40,6 +40,7 @@ jobs:
+         run: |
+           sudo apt update -y
+           sudo apt install -y gettext 
++          sudo apt install -y autopoint
+       - name: Install dependencies for macOS
+         if: runner.os == 'macOS'
+         run: |
+diff --git a/configure.ac b/configure.ac
+index 2182b31ee..1896fd73e 100644
+--- a/configure.ac
++++ b/configure.ac
+@@ -28,7 +28,8 @@ AC_INIT(sympa, 6.2.76, [email protected])
+ AM_INIT_AUTOMAKE([foreign -Wall -Werror 1.9 tar-pax])
+ m4_ifdef([AM_SILENT_RULES], [AM_SILENT_RULES([yes])])
+ AM_PO_SUBDIRS
+-GETTEXT_MACRO_VERSION=0.19
++AM_GNU_GETTEXT([external])
++AM_GNU_GETTEXT_REQUIRE_VERSION([0.19.1])
+ 
+ AC_PREFIX_DEFAULT(/home/sympa)
+ 
+diff --git a/po/sympa/Makefile.in.in b/po/sympa/Makefile.in.in
+deleted file mode 100644
+index 38c293d2e..000000000
+--- a/po/sympa/Makefile.in.in
++++ /dev/null
+@@ -1,483 +0,0 @@
+-# Makefile for PO directory in any package using GNU gettext.
+-# Copyright (C) 1995-1997, 2000-2007, 2009-2010 by Ulrich Drepper <[email protected]>
+-#
+-# Copying and distribution of this file, with or without modification,
+-# are permitted in any medium without royalty provided the copyright
+-# notice and this notice are preserved.  This file is offered as-is,
+-# without any warranty.
+-#
+-# Origin: gettext-0.19.8
+-GETTEXT_MACRO_VERSION = 0.19
+-
+-PACKAGE = @PACKAGE@
+-VERSION = @VERSION@
+-PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
+-
+-SED = @SED@
+-SHELL = /bin/sh
+-@SET_MAKE@
+-
+-srcdir = @srcdir@
+-top_srcdir = @top_srcdir@
+-VPATH = @srcdir@
+-
+-prefix = @prefix@
+-exec_prefix = @exec_prefix@
+-datarootdir = @datarootdir@
+-datadir = @datadir@
+-localedir = @localedir@
+-gettextsrcdir = $(datadir)/gettext/po
+-
+-INSTALL = @INSTALL@
+-INSTALL_DATA = @INSTALL_DATA@
+-
+-# We use $(mkdir_p).
+-# In automake <= 1.9.x, $(mkdir_p) is defined either as "mkdir -p --" or as
+-# "$(mkinstalldirs)" or as "$(install_sh) -d". For these automake versions,
+-# @install_sh@ does not start with $(SHELL), so we add it.
+-# In automake >= 1.10, @mkdir_p@ is derived from ${MKDIR_P}, which is defined
+-# either as "/path/to/mkdir -p" or ".../install-sh -c -d". For these automake
+-# versions, $(mkinstalldirs) and $(install_sh) are unused.
+-mkinstalldirs = $(SHELL) @install_sh@ -d
+-install_sh = $(SHELL) @install_sh@
+-MKDIR_P = @MKDIR_P@
+-mkdir_p = @mkdir_p@
+-
+-# When building gettext-tools, we prefer to use the built programs
+-# rather than installed programs.  However, we can't do that when we
+-# are cross compiling.
+-CROSS_COMPILING = @CROSS_COMPILING@
+-
+-GMSGFMT_ = @GMSGFMT@
+-GMSGFMT_no = @GMSGFMT@
+-GMSGFMT_yes = @GMSGFMT_015@
+-GMSGFMT = $(GMSGFMT_$(USE_MSGCTXT))
+-MSGFMT_ = @MSGFMT@
+-MSGFMT_no = @MSGFMT@
+-MSGFMT_yes = @MSGFMT_015@
+-MSGFMT = $(MSGFMT_$(USE_MSGCTXT))
+-XGETTEXT_ = @XGETTEXT@
+-XGETTEXT_no = @XGETTEXT@
+-XGETTEXT_yes = @XGETTEXT_015@
+-XGETTEXT = $(XGETTEXT_$(USE_MSGCTXT))
+-MSGMERGE = msgmerge
+-MSGMERGE_UPDATE = @MSGMERGE@ --update
+-MSGINIT = msginit
+-MSGCONV = msgconv
+-MSGFILTER = msgfilter
+-
+-POFILES = @POFILES@
+-GMOFILES = @GMOFILES@
+-UPDATEPOFILES = @UPDATEPOFILES@
+-DUMMYPOFILES = @DUMMYPOFILES@
+-DISTFILES.common = Makefile.in.in remove-potcdate.sin \
+-$(DISTFILES.common.extra1) $(DISTFILES.common.extra2) $(DISTFILES.common.extra3)
+-DISTFILES = $(DISTFILES.common) Makevars POTFILES.in \
+-$(POFILES) $(GMOFILES) \
+-$(DISTFILES.extra1) $(DISTFILES.extra2) $(DISTFILES.extra3)
+-
+-POTFILES = \
+-
+-CATALOGS = @CATALOGS@
+-
+-POFILESDEPS_ = $(srcdir)/$(DOMAIN).pot
+-POFILESDEPS_yes = $(POFILESDEPS_)
+-POFILESDEPS_no =
+-POFILESDEPS = $(POFILESDEPS_$(PO_DEPENDS_ON_POT))
+-
+-DISTFILESDEPS_ = update-po
+-DISTFILESDEPS_yes = $(DISTFILESDEPS_)
+-DISTFILESDEPS_no =
+-DISTFILESDEPS = $(DISTFILESDEPS_$(DIST_DEPENDS_ON_UPDATE_PO))
+-
+-# Makevars gets inserted here. (Don't remove this line!)
+-
+-.SUFFIXES:
+-.SUFFIXES: .po .gmo .mo .sed .sin .nop .po-create .po-update
+-
+-.po.mo:
+-	@echo "$(MSGFMT) -c -o $@ $<"; \
+-	$(MSGFMT) -c -o t-$@ $< && mv t-$@ $@
+-
+-.po.gmo:
+-	@lang=`echo $* | sed -e 's,.*/,,'`; \
+-	test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
+-	echo "$${cdcmd}rm -f $${lang}.gmo && $(GMSGFMT) -c --statistics --verbose -o $${lang}.gmo $${lang}.po"; \
+-	cd $(srcdir) && rm -f $${lang}.gmo && $(GMSGFMT) -c --statistics --verbose -o t-$${lang}.gmo $${lang}.po && mv t-$${lang}.gmo $${lang}.gmo
+-
+-.sin.sed:
+-	sed -e '/^#/d' $< > t-$@
+-	mv t-$@ $@
+-
+-
+-all: all-@USE_NLS@
+-
+-all-yes: stamp-po
+-all-no:
+-
+-# Ensure that the gettext macros and this Makefile.in.in are in sync.
+-CHECK_MACRO_VERSION = \
+-	test "$(GETTEXT_MACRO_VERSION)" = "@GETTEXT_MACRO_VERSION@" \
+-	  || { echo "*** error: gettext infrastructure mismatch: using a Makefile.in.in from gettext version $(GETTEXT_MACRO_VERSION) but the autoconf macros are from gettext version @GETTEXT_MACRO_VERSION@" 1>&2; \
+-	       exit 1; \
+-	     }
+-
+-# $(srcdir)/$(DOMAIN).pot is only created when needed. When xgettext finds no
+-# internationalized messages, no $(srcdir)/$(DOMAIN).pot is created (because
+-# we don't want to bother translators with empty POT files). We assume that
+-# LINGUAS is empty in this case, i.e. $(POFILES) and $(GMOFILES) are empty.
+-# In this case, stamp-po is a nop (i.e. a phony target).
+-
+-# stamp-po is a timestamp denoting the last time at which the CATALOGS have
+-# been loosely updated. Its purpose is that when a developer or translator
+-# checks out the package via CVS, and the $(DOMAIN).pot file is not in CVS,
+-# "make" will update the $(DOMAIN).pot and the $(CATALOGS), but subsequent
+-# invocations of "make" will do nothing. This timestamp would not be necessary
+-# if updating the $(CATALOGS) would always touch them; however, the rule for
+-# $(POFILES) has been designed to not touch files that don't need to be
+-# changed.
+-stamp-po: $(srcdir)/$(DOMAIN).pot
+-	@$(CHECK_MACRO_VERSION)
+-	test ! -f $(srcdir)/$(DOMAIN).pot || \
+-	  test -z "$(GMOFILES)" || $(MAKE) $(GMOFILES)
+-	@test ! -f $(srcdir)/$(DOMAIN).pot || { \
+-	  echo "touch stamp-po" && \
+-	  echo timestamp > stamp-poT && \
+-	  mv stamp-poT stamp-po; \
+-	}
+-
+-# Note: Target 'all' must not depend on target '$(DOMAIN).pot-update',
+-# otherwise packages like GCC can not be built if only parts of the source
+-# have been downloaded.
+-
+-# This target rebuilds $(DOMAIN).pot; it is an expensive operation.
+-# Note that $(DOMAIN).pot is not touched if it doesn't need to be changed.
+-# The determination of whether the package xyz is a GNU one is based on the
+-# heuristic whether some file in the top level directory mentions "GNU xyz".
+-# If GNU 'find' is available, we avoid grepping through monster files.
+-$(DOMAIN).pot-update: $(POTFILES) $(srcdir)/POTFILES.in remove-potcdate.sed
+-	package_gnu="$(PACKAGE_GNU)"; \
+-	test -n "$$package_gnu" || { \
+-	  if { if (LC_ALL=C find --version) 2>/dev/null | grep GNU >/dev/null; then \
+-		 LC_ALL=C find -L $(top_srcdir) -maxdepth 1 -type f \
+-			       -size -10000000c -exec grep 'GNU @PACKAGE@' \
+-			       /dev/null '{}' ';' 2>/dev/null; \
+-	       else \
+-		 LC_ALL=C grep 'GNU @PACKAGE@' $(top_srcdir)/* 2>/dev/null; \
+-	       fi; \
+-	     } | grep -v 'libtool:' >/dev/null; then \
+-	     package_gnu=yes; \
+-	   else \
+-	     package_gnu=no; \
+-	   fi; \
+-	}; \
+-	if test "$$package_gnu" = "yes"; then \
+-	  package_prefix='GNU '; \
+-	else \
+-	  package_prefix=''; \
+-	fi; \
+-	if test -n '$(MSGID_BUGS_ADDRESS)' || test '$(PACKAGE_BUGREPORT)' = '@'PACKAGE_BUGREPORT'@'; then \
+-	  msgid_bugs_address='$(MSGID_BUGS_ADDRESS)'; \
+-	else \
+-	  msgid_bugs_address='$(PACKAGE_BUGREPORT)'; \
+-	fi; \
+-	case `$(XGETTEXT) --version | sed 1q | sed -e 's,^[^0-9]*,,'` in \
+-	  '' | 0.[0-9] | 0.[0-9].* | 0.1[0-5] | 0.1[0-5].* | 0.16 | 0.16.[0-1]*) \
+-	    $(XGETTEXT) --default-domain=$(DOMAIN) --directory=$(top_srcdir) \
+-	      --add-comments=TRANSLATORS: $(XGETTEXT_OPTIONS) @XGETTEXT_EXTRA_OPTIONS@ \
+-	      --files-from=$(srcdir)/POTFILES.in \
+-	      --copyright-holder='$(COPYRIGHT_HOLDER)' \
+-	      --msgid-bugs-address="$$msgid_bugs_address" \
+-	    ;; \
+-	  *) \
+-	    $(XGETTEXT) --default-domain=$(DOMAIN) --directory=$(top_srcdir) \
+-	      --add-comments=TRANSLATORS: $(XGETTEXT_OPTIONS) @XGETTEXT_EXTRA_OPTIONS@ \
+-	      --files-from=$(srcdir)/POTFILES.in \
+-	      --copyright-holder='$(COPYRIGHT_HOLDER)' \
+-	      --package-name="$${package_prefix}@PACKAGE@" \
+-	      --package-version='@VERSION@' \
+-	      --msgid-bugs-address="$$msgid_bugs_address" \
+-	    ;; \
+-	esac
+-	test ! -f $(DOMAIN).po || { \
+-	  if test -f $(srcdir)/$(DOMAIN).pot-header; then \
+-	    sed -e '1,/^#$$/d' < $(DOMAIN).po > $(DOMAIN).1po && \
+-	    cat $(srcdir)/$(DOMAIN).pot-header $(DOMAIN).1po > $(DOMAIN).po; \
+-	    rm -f $(DOMAIN).1po; \
+-	  fi; \
+-	  if test -f $(srcdir)/$(DOMAIN).pot; then \
+-	    sed -f remove-potcdate.sed < $(srcdir)/$(DOMAIN).pot > $(DOMAIN).1po && \
+-	    sed -f remove-potcdate.sed < $(DOMAIN).po > $(DOMAIN).2po && \
+-	    if cmp $(DOMAIN).1po $(DOMAIN).2po >/dev/null 2>&1; then \
+-	      rm -f $(DOMAIN).1po $(DOMAIN).2po $(DOMAIN).po; \
+-	    else \
+-	      rm -f $(DOMAIN).1po $(DOMAIN).2po $(srcdir)/$(DOMAIN).pot && \
+-	      mv $(DOMAIN).po $(srcdir)/$(DOMAIN).pot; \
+-	    fi; \
+-	  else \
+-	    mv $(DOMAIN).po $(srcdir)/$(DOMAIN).pot; \
+-	  fi; \
+-	}
+-
+-# This rule has no dependencies: we don't need to update $(DOMAIN).pot at
+-# every "make" invocation, only create it when it is missing.
+-# Only "make $(DOMAIN).pot-update" or "make dist" will force an update.
+-$(srcdir)/$(DOMAIN).pot:
+-	$(MAKE) $(DOMAIN).pot-update
+-
+-# This target rebuilds a PO file if $(DOMAIN).pot has changed.
+-# Note that a PO file is not touched if it doesn't need to be changed.
+-$(POFILES): $(POFILESDEPS)
+-	@lang=`echo $@ | sed -e 's,.*/,,' -e 's/\.po$$//'`; \
+-	if test -f "$(srcdir)/$${lang}.po"; then \
+-	  test -f $(srcdir)/$(DOMAIN).pot || $(MAKE) $(srcdir)/$(DOMAIN).pot; \
+-	  test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
+-	  echo "$${cdcmd}$(MSGMERGE_UPDATE) $(MSGMERGE_OPTIONS) --lang=$${lang} $${lang}.po $(DOMAIN).pot"; \
+-	  cd $(srcdir) \
+-	    && { case `$(MSGMERGE) --version | sed 1q | sed -e 's,^[^0-9]*,,'` in \
+-	           '' | 0.[0-9] | 0.[0-9].* | 0.1[0-7] | 0.1[0-7].*) \
+-	             $(MSGMERGE_UPDATE) $(MSGMERGE_OPTIONS) $${lang}.po $(DOMAIN).pot;; \
+-	           *) \
+-	             $(MSGMERGE_UPDATE) $(MSGMERGE_OPTIONS) --lang=$${lang} $${lang}.po $(DOMAIN).pot;; \
+-	         esac; \
+-	       }; \
+-	else \
+-	  $(MAKE) $${lang}.po-create; \
+-	fi
+-
+-
+-install: install-exec install-data
+-install-exec:
+-install-data: install-data-@USE_NLS@
+-	if test "$(PACKAGE)" = "gettext-tools"; then \
+-	  $(mkdir_p) $(DESTDIR)$(gettextsrcdir); \
+-	  for file in $(DISTFILES.common) Makevars.template; do \
+-	    $(INSTALL_DATA) $(srcdir)/$$file \
+-			    $(DESTDIR)$(gettextsrcdir)/$$file; \
+-	  done; \
+-	  for file in Makevars; do \
+-	    rm -f $(DESTDIR)$(gettextsrcdir)/$$file; \
+-	  done; \
+-	else \
+-	  : ; \
+-	fi
+-install-data-no: all
+-install-data-yes: all
+-	@catalogs='$(CATALOGS)'; \
+-	for cat in $$catalogs; do \
+-	  cat=`basename $$cat`; \
+-	  lang=`echo $$cat | sed -e 's/\.gmo$$//'`; \
+-	  dir=$(localedir)/$$lang/LC_MESSAGES; \
+-	  $(mkdir_p) $(DESTDIR)$$dir; \
+-	  if test -r $$cat; then realcat=$$cat; else realcat=$(srcdir)/$$cat; fi; \
+-	  $(INSTALL_DATA) $$realcat $(DESTDIR)$$dir/$(DOMAIN).mo; \
+-	  echo "installing $$realcat as $(DESTDIR)$$dir/$(DOMAIN).mo"; \
+-	  for lc in '' $(EXTRA_LOCALE_CATEGORIES); do \
+-	    if test -n "$$lc"; then \
+-	      if (cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc 2>/dev/null) | grep ' -> ' >/dev/null; then \
+-	        link=`cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc | sed -e 's/^.* -> //'`; \
+-	        mv $(DESTDIR)$(localedir)/$$lang/$$lc $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
+-	        mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
+-	        (cd $(DESTDIR)$(localedir)/$$lang/$$lc.old && \
+-	         for file in *; do \
+-	           if test -f $$file; then \
+-	             ln -s ../$$link/$$file $(DESTDIR)$(localedir)/$$lang/$$lc/$$file; \
+-	           fi; \
+-	         done); \
+-	        rm -f $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
+-	      else \
+-	        if test -d $(DESTDIR)$(localedir)/$$lang/$$lc; then \
+-	          :; \
+-	        else \
+-	          rm -f $(DESTDIR)$(localedir)/$$lang/$$lc; \
+-	          mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
+-	        fi; \
+-	      fi; \
+-	      rm -f $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo; \
+-	      ln -s ../LC_MESSAGES/$(DOMAIN).mo $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo 2>/dev/null || \
+-	      ln $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(DOMAIN).mo $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo 2>/dev/null || \
+-	      cp -p $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(DOMAIN).mo $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo; \
+-	      echo "installing $$realcat link as $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo"; \
+-	    fi; \
+-	  done; \
+-	done
+-
+-install-strip: install
+-
+-installdirs: installdirs-exec installdirs-data
+-installdirs-exec:
+-installdirs-data: installdirs-data-@USE_NLS@
+-	if test "$(PACKAGE)" = "gettext-tools"; then \
+-	  $(mkdir_p) $(DESTDIR)$(gettextsrcdir); \
+-	else \
+-	  : ; \
+-	fi
+-installdirs-data-no:
+-installdirs-data-yes:
+-	@catalogs='$(CATALOGS)'; \
+-	for cat in $$catalogs; do \
+-	  cat=`basename $$cat`; \
+-	  lang=`echo $$cat | sed -e 's/\.gmo$$//'`; \
+-	  dir=$(localedir)/$$lang/LC_MESSAGES; \
+-	  $(mkdir_p) $(DESTDIR)$$dir; \
+-	  for lc in '' $(EXTRA_LOCALE_CATEGORIES); do \
+-	    if test -n "$$lc"; then \
+-	      if (cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc 2>/dev/null) | grep ' -> ' >/dev/null; then \
+-	        link=`cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc | sed -e 's/^.* -> //'`; \
+-	        mv $(DESTDIR)$(localedir)/$$lang/$$lc $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
+-	        mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
+-	        (cd $(DESTDIR)$(localedir)/$$lang/$$lc.old && \
+-	         for file in *; do \
+-	           if test -f $$file; then \
+-	             ln -s ../$$link/$$file $(DESTDIR)$(localedir)/$$lang/$$lc/$$file; \
+-	           fi; \
+-	         done); \
+-	        rm -f $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
+-	      else \
+-	        if test -d $(DESTDIR)$(localedir)/$$lang/$$lc; then \
+-	          :; \
+-	        else \
+-	          rm -f $(DESTDIR)$(localedir)/$$lang/$$lc; \
+-	          mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
+-	        fi; \
+-	      fi; \
+-	    fi; \
+-	  done; \
+-	done
+-
+-# Define this as empty until I found a useful application.
+-installcheck:
+-
+-uninstall: uninstall-exec uninstall-data
+-uninstall-exec:
+-uninstall-data: uninstall-data-@USE_NLS@
+-	if test "$(PACKAGE)" = "gettext-tools"; then \
+-	  for file in $(DISTFILES.common) Makevars.template; do \
+-	    rm -f $(DESTDIR)$(gettextsrcdir)/$$file; \
+-	  done; \
+-	else \
+-	  : ; \
+-	fi
+-uninstall-data-no:
+-uninstall-data-yes:
+-	catalogs='$(CATALOGS)'; \
+-	for cat in $$catalogs; do \
+-	  cat=`basename $$cat`; \
+-	  lang=`echo $$cat | sed -e 's/\.gmo$$//'`; \
+-	  for lc in LC_MESSAGES $(EXTRA_LOCALE_CATEGORIES); do \
+-	    rm -f $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo; \
+-	  done; \
+-	done
+-
+-check: all
+-
+-info dvi ps pdf html tags TAGS ctags CTAGS ID:
+-
+-mostlyclean:
+-	rm -f remove-potcdate.sed
+-	rm -f stamp-poT
+-	rm -f core core.* $(DOMAIN).po $(DOMAIN).1po $(DOMAIN).2po *.new.po
+-	rm -fr *.o
+-
+-clean: mostlyclean
+-
+-distclean: clean
+-	rm -f Makefile Makefile.in POTFILES *.mo
+-
+-maintainer-clean: distclean
+-	@echo "This command is intended for maintainers to use;"
+-	@echo "it deletes files that may require special tools to rebuild."
+-	rm -f stamp-po $(GMOFILES)
+-
+-distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)
+-dist distdir:
+-	test -z "$(DISTFILESDEPS)" || $(MAKE) $(DISTFILESDEPS)
+-	@$(MAKE) dist2
+-# This is a separate target because 'update-po' must be executed before.
+-dist2: stamp-po $(DISTFILES)
+-	dists="$(DISTFILES)"; \
+-	if test "$(PACKAGE)" = "gettext-tools"; then \
+-	  dists="$$dists Makevars.template"; \
+-	fi; \
+-	if test -f $(srcdir)/$(DOMAIN).pot; then \
+-	  dists="$$dists $(DOMAIN).pot stamp-po"; \
+-	fi; \
+-	if test -f $(srcdir)/ChangeLog; then \
+-	  dists="$$dists ChangeLog"; \
+-	fi; \
+-	for i in 0 1 2 3 4 5 6 7 8 9; do \
+-	  if test -f $(srcdir)/ChangeLog.$$i; then \
+-	    dists="$$dists ChangeLog.$$i"; \
+-	  fi; \
+-	done; \
+-	if test -f $(srcdir)/LINGUAS; then dists="$$dists LINGUAS"; fi; \
+-	for file in $$dists; do \
+-	  if test -f $$file; then \
+-	    cp -p $$file $(distdir) || exit 1; \
+-	  else \
+-	    cp -p $(srcdir)/$$file $(distdir) || exit 1; \
+-	  fi; \
+-	done
+-
+-update-po: Makefile
+-	$(MAKE) $(DOMAIN).pot-update
+-	test -z "$(UPDATEPOFILES)" || $(MAKE) $(UPDATEPOFILES)
+-	$(MAKE) update-gmo
+-
+-# General rule for creating PO files.
+-
+-.nop.po-create:
+-	@lang=`echo $@ | sed -e 's/\.po-create$$//'`; \
+-	echo "File $$lang.po does not exist. If you are a translator, you can create it through 'msginit'." 1>&2; \
+-	exit 1
+-
+-# General rule for updating PO files.
+-
+-.nop.po-update:
+-	@lang=`echo $@ | sed -e 's/\.po-update$$//'`; \
+-	if test "$(PACKAGE)" = "gettext-tools" && test "$(CROSS_COMPILING)" != "yes"; then PATH=`pwd`/../src:$$PATH; fi; \
+-	tmpdir=`pwd`; \
+-	echo "$$lang:"; \
+-	test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
+-	echo "$${cdcmd}$(MSGMERGE) $(MSGMERGE_OPTIONS) --lang=$$lang $$lang.po $(DOMAIN).pot -o $$lang.new.po"; \
+-	cd $(srcdir); \
+-	if { case `$(MSGMERGE) --version | sed 1q | sed -e 's,^[^0-9]*,,'` in \
+-	       '' | 0.[0-9] | 0.[0-9].* | 0.1[0-7] | 0.1[0-7].*) \
+-	         $(MSGMERGE) $(MSGMERGE_OPTIONS) -o $$tmpdir/$$lang.new.po $$lang.po $(DOMAIN).pot;; \
+-	       *) \
+-	         $(MSGMERGE) $(MSGMERGE_OPTIONS) --lang=$$lang -o $$tmpdir/$$lang.new.po $$lang.po $(DOMAIN).pot;; \
+-	     esac; \
+-	   }; then \
+-	  if cmp $$lang.po $$tmpdir/$$lang.new.po >/dev/null 2>&1; then \
+-	    rm -f $$tmpdir/$$lang.new.po; \
+-	  else \
+-	    if mv -f $$tmpdir/$$lang.new.po $$lang.po; then \
+-	      :; \
+-	    else \
+-	      echo "msgmerge for $$lang.po failed: cannot move $$tmpdir/$$lang.new.po to $$lang.po" 1>&2; \
+-	      exit 1; \
+-	    fi; \
+-	  fi; \
+-	else \
+-	  echo "msgmerge for $$lang.po failed!" 1>&2; \
+-	  rm -f $$tmpdir/$$lang.new.po; \
+-	fi
+-
+-$(DUMMYPOFILES):
+-
+-update-gmo: Makefile $(GMOFILES)
+-	@:
+-
+-# Recreate Makefile by invoking config.status. Explicitly invoke the shell,
+-# because execution permission bits may not work on the current file system.
+-# Use @SHELL@, which is the shell determined by autoconf for the use by its
+-# scripts, not $(SHELL) which is hardwired to /bin/sh and may be deficient.
+-Makefile: Makefile.in.in Makevars $(top_builddir)/config.status @POMAKEFILEDEPS@
+-	cd $(top_builddir) \
+-	  && @SHELL@ ./config.status $(subdir)/[email protected] po-directories
+-
+-force:
+-
+-# Tell versions [3.59,3.63) of GNU make not to export all variables.
+-# Otherwise a system limit (for SysV at least) may be exceeded.
+-.NOEXPORT:
+diff --git a/po/sympa/remove-potcdate.sin b/po/sympa/remove-potcdate.sin
+deleted file mode 100644
+index 2436c49e7..000000000
+--- a/po/sympa/remove-potcdate.sin
++++ /dev/null
+@@ -1,19 +0,0 @@
+-# Sed script that remove the POT-Creation-Date line in the header entry
+-# from a POT file.
+-#
+-# The distinction between the first and the following occurrences of the
+-# pattern is achieved by looking at the hold space.
+-/^"POT-Creation-Date: .*"$/{
+-x
+-# Test if the hold space is empty.
+-s/P/P/
+-ta
+-# Yes it was empty. First occurrence. Remove the line.
+-g
+-d
+-bb
+-:a
+-# The hold space was nonempty. Following occurrences. Do nothing.
+-x
+-:b
+-}
+diff --git a/po/web_help/Makefile.in.in b/po/web_help/Makefile.in.in
+deleted file mode 100644
+index 38c293d2e..000000000
+--- a/po/web_help/Makefile.in.in
++++ /dev/null
+@@ -1,483 +0,0 @@
+-# Makefile for PO directory in any package using GNU gettext.
+-# Copyright (C) 1995-1997, 2000-2007, 2009-2010 by Ulrich Drepper <[email protected]>
+-#
+-# Copying and distribution of this file, with or without modification,
+-# are permitted in any medium without royalty provided the copyright
+-# notice and this notice are preserved.  This file is offered as-is,
+-# without any warranty.
+-#
+-# Origin: gettext-0.19.8
+-GETTEXT_MACRO_VERSION = 0.19
+-
+-PACKAGE = @PACKAGE@
+-VERSION = @VERSION@
+-PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
+-
+-SED = @SED@
+-SHELL = /bin/sh
+-@SET_MAKE@
+-
+-srcdir = @srcdir@
+-top_srcdir = @top_srcdir@
+-VPATH = @srcdir@
+-
+-prefix = @prefix@
+-exec_prefix = @exec_prefix@
+-datarootdir = @datarootdir@
+-datadir = @datadir@
+-localedir = @localedir@
+-gettextsrcdir = $(datadir)/gettext/po
+-
+-INSTALL = @INSTALL@
+-INSTALL_DATA = @INSTALL_DATA@
+-
+-# We use $(mkdir_p).
+-# In automake <= 1.9.x, $(mkdir_p) is defined either as "mkdir -p --" or as
+-# "$(mkinstalldirs)" or as "$(install_sh) -d". For these automake versions,
+-# @install_sh@ does not start with $(SHELL), so we add it.
+-# In automake >= 1.10, @mkdir_p@ is derived from ${MKDIR_P}, which is defined
+-# either as "/path/to/mkdir -p" or ".../install-sh -c -d". For these automake
+-# versions, $(mkinstalldirs) and $(install_sh) are unused.
+-mkinstalldirs = $(SHELL) @install_sh@ -d
+-install_sh = $(SHELL) @install_sh@
+-MKDIR_P = @MKDIR_P@
+-mkdir_p = @mkdir_p@
+-
+-# When building gettext-tools, we prefer to use the built programs
+-# rather than installed programs.  However, we can't do that when we
+-# are cross compiling.
+-CROSS_COMPILING = @CROSS_COMPILING@
+-
+-GMSGFMT_ = @GMSGFMT@
+-GMSGFMT_no = @GMSGFMT@
+-GMSGFMT_yes = @GMSGFMT_015@
+-GMSGFMT = $(GMSGFMT_$(USE_MSGCTXT))
+-MSGFMT_ = @MSGFMT@
+-MSGFMT_no = @MSGFMT@
+-MSGFMT_yes = @MSGFMT_015@
+-MSGFMT = $(MSGFMT_$(USE_MSGCTXT))
+-XGETTEXT_ = @XGETTEXT@
+-XGETTEXT_no = @XGETTEXT@
+-XGETTEXT_yes = @XGETTEXT_015@
+-XGETTEXT = $(XGETTEXT_$(USE_MSGCTXT))
+-MSGMERGE = msgmerge
+-MSGMERGE_UPDATE = @MSGMERGE@ --update
+-MSGINIT = msginit
+-MSGCONV = msgconv
+-MSGFILTER = msgfilter
+-
+-POFILES = @POFILES@
+-GMOFILES = @GMOFILES@
+-UPDATEPOFILES = @UPDATEPOFILES@
+-DUMMYPOFILES = @DUMMYPOFILES@
+-DISTFILES.common = Makefile.in.in remove-potcdate.sin \
+-$(DISTFILES.common.extra1) $(DISTFILES.common.extra2) $(DISTFILES.common.extra3)
+-DISTFILES = $(DISTFILES.common) Makevars POTFILES.in \
+-$(POFILES) $(GMOFILES) \
+-$(DISTFILES.extra1) $(DISTFILES.extra2) $(DISTFILES.extra3)
+-
+-POTFILES = \
+-
+-CATALOGS = @CATALOGS@
+-
+-POFILESDEPS_ = $(srcdir)/$(DOMAIN).pot
+-POFILESDEPS_yes = $(POFILESDEPS_)
+-POFILESDEPS_no =
+-POFILESDEPS = $(POFILESDEPS_$(PO_DEPENDS_ON_POT))
+-
+-DISTFILESDEPS_ = update-po
+-DISTFILESDEPS_yes = $(DISTFILESDEPS_)
+-DISTFILESDEPS_no =
+-DISTFILESDEPS = $(DISTFILESDEPS_$(DIST_DEPENDS_ON_UPDATE_PO))
+-
+-# Makevars gets inserted here. (Don't remove this line!)
+-
+-.SUFFIXES:
+-.SUFFIXES: .po .gmo .mo .sed .sin .nop .po-create .po-update
+-
+-.po.mo:
+-	@echo "$(MSGFMT) -c -o $@ $<"; \
+-	$(MSGFMT) -c -o t-$@ $< && mv t-$@ $@
+-
+-.po.gmo:
+-	@lang=`echo $* | sed -e 's,.*/,,'`; \
+-	test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
+-	echo "$${cdcmd}rm -f $${lang}.gmo && $(GMSGFMT) -c --statistics --verbose -o $${lang}.gmo $${lang}.po"; \
+-	cd $(srcdir) && rm -f $${lang}.gmo && $(GMSGFMT) -c --statistics --verbose -o t-$${lang}.gmo $${lang}.po && mv t-$${lang}.gmo $${lang}.gmo
+-
+-.sin.sed:
+-	sed -e '/^#/d' $< > t-$@
+-	mv t-$@ $@
+-
+-
+-all: all-@USE_NLS@
+-
+-all-yes: stamp-po
+-all-no:
+-
+-# Ensure that the gettext macros and this Makefile.in.in are in sync.
+-CHECK_MACRO_VERSION = \
+-	test "$(GETTEXT_MACRO_VERSION)" = "@GETTEXT_MACRO_VERSION@" \
+-	  || { echo "*** error: gettext infrastructure mismatch: using a Makefile.in.in from gettext version $(GETTEXT_MACRO_VERSION) but the autoconf macros are from gettext version @GETTEXT_MACRO_VERSION@" 1>&2; \
+-	       exit 1; \
+-	     }
+-
+-# $(srcdir)/$(DOMAIN).pot is only created when needed. When xgettext finds no
+-# internationalized messages, no $(srcdir)/$(DOMAIN).pot is created (because
+-# we don't want to bother translators with empty POT files). We assume that
+-# LINGUAS is empty in this case, i.e. $(POFILES) and $(GMOFILES) are empty.
+-# In this case, stamp-po is a nop (i.e. a phony target).
+-
+-# stamp-po is a timestamp denoting the last time at which the CATALOGS have
+-# been loosely updated. Its purpose is that when a developer or translator
+-# checks out the package via CVS, and the $(DOMAIN).pot file is not in CVS,
+-# "make" will update the $(DOMAIN).pot and the $(CATALOGS), but subsequent
+-# invocations of "make" will do nothing. This timestamp would not be necessary
+-# if updating the $(CATALOGS) would always touch them; however, the rule for
+-# $(POFILES) has been designed to not touch files that don't need to be
+-# changed.
+-stamp-po: $(srcdir)/$(DOMAIN).pot
+-	@$(CHECK_MACRO_VERSION)
+-	test ! -f $(srcdir)/$(DOMAIN).pot || \
+-	  test -z "$(GMOFILES)" || $(MAKE) $(GMOFILES)
+-	@test ! -f $(srcdir)/$(DOMAIN).pot || { \
+-	  echo "touch stamp-po" && \
+-	  echo timestamp > stamp-poT && \
+-	  mv stamp-poT stamp-po; \
+-	}
+-
+-# Note: Target 'all' must not depend on target '$(DOMAIN).pot-update',
+-# otherwise packages like GCC can not be built if only parts of the source
+-# have been downloaded.
+-
+-# This target rebuilds $(DOMAIN).pot; it is an expensive operation.
+-# Note that $(DOMAIN).pot is not touched if it doesn't need to be changed.
+-# The determination of whether the package xyz is a GNU one is based on the
+-# heuristic whether some file in the top level directory mentions "GNU xyz".
+-# If GNU 'find' is available, we avoid grepping through monster files.
+-$(DOMAIN).pot-update: $(POTFILES) $(srcdir)/POTFILES.in remove-potcdate.sed
+-	package_gnu="$(PACKAGE_GNU)"; \
+-	test -n "$$package_gnu" || { \
+-	  if { if (LC_ALL=C find --version) 2>/dev/null | grep GNU >/dev/null; then \
+-		 LC_ALL=C find -L $(top_srcdir) -maxdepth 1 -type f \
+-			       -size -10000000c -exec grep 'GNU @PACKAGE@' \
+-			       /dev/null '{}' ';' 2>/dev/null; \
+-	       else \
+-		 LC_ALL=C grep 'GNU @PACKAGE@' $(top_srcdir)/* 2>/dev/null; \
+-	       fi; \
+-	     } | grep -v 'libtool:' >/dev/null; then \
+-	     package_gnu=yes; \
+-	   else \
+-	     package_gnu=no; \
+-	   fi; \
+-	}; \
+-	if test "$$package_gnu" = "yes"; then \
+-	  package_prefix='GNU '; \
+-	else \
+-	  package_prefix=''; \
+-	fi; \
+-	if test -n '$(MSGID_BUGS_ADDRESS)' || test '$(PACKAGE_BUGREPORT)' = '@'PACKAGE_BUGREPORT'@'; then \
+-	  msgid_bugs_address='$(MSGID_BUGS_ADDRESS)'; \
+-	else \
+-	  msgid_bugs_address='$(PACKAGE_BUGREPORT)'; \
+-	fi; \
+-	case `$(XGETTEXT) --version | sed 1q | sed -e 's,^[^0-9]*,,'` in \
+-	  '' | 0.[0-9] | 0.[0-9].* | 0.1[0-5] | 0.1[0-5].* | 0.16 | 0.16.[0-1]*) \
+-	    $(XGETTEXT) --default-domain=$(DOMAIN) --directory=$(top_srcdir) \
+-	      --add-comments=TRANSLATORS: $(XGETTEXT_OPTIONS) @XGETTEXT_EXTRA_OPTIONS@ \
+-	      --files-from=$(srcdir)/POTFILES.in \
+-	      --copyright-holder='$(COPYRIGHT_HOLDER)' \
+-	      --msgid-bugs-address="$$msgid_bugs_address" \
+-	    ;; \
+-	  *) \
+-	    $(XGETTEXT) --default-domain=$(DOMAIN) --directory=$(top_srcdir) \
+-	      --add-comments=TRANSLATORS: $(XGETTEXT_OPTIONS) @XGETTEXT_EXTRA_OPTIONS@ \
+-	      --files-from=$(srcdir)/POTFILES.in \
+-	      --copyright-holder='$(COPYRIGHT_HOLDER)' \
+-	      --package-name="$${package_prefix}@PACKAGE@" \
+-	      --package-version='@VERSION@' \
+-	      --msgid-bugs-address="$$msgid_bugs_address" \
+-	    ;; \
+-	esac
+-	test ! -f $(DOMAIN).po || { \
+-	  if test -f $(srcdir)/$(DOMAIN).pot-header; then \
+-	    sed -e '1,/^#$$/d' < $(DOMAIN).po > $(DOMAIN).1po && \
+-	    cat $(srcdir)/$(DOMAIN).pot-header $(DOMAIN).1po > $(DOMAIN).po; \
+-	    rm -f $(DOMAIN).1po; \
+-	  fi; \
+-	  if test -f $(srcdir)/$(DOMAIN).pot; then \
+-	    sed -f remove-potcdate.sed < $(srcdir)/$(DOMAIN).pot > $(DOMAIN).1po && \
+-	    sed -f remove-potcdate.sed < $(DOMAIN).po > $(DOMAIN).2po && \
+-	    if cmp $(DOMAIN).1po $(DOMAIN).2po >/dev/null 2>&1; then \
+-	      rm -f $(DOMAIN).1po $(DOMAIN).2po $(DOMAIN).po; \
+-	    else \
+-	      rm -f $(DOMAIN).1po $(DOMAIN).2po $(srcdir)/$(DOMAIN).pot && \
+-	      mv $(DOMAIN).po $(srcdir)/$(DOMAIN).pot; \
+-	    fi; \
+-	  else \
+-	    mv $(DOMAIN).po $(srcdir)/$(DOMAIN).pot; \
+-	  fi; \
+-	}
+-
+-# This rule has no dependencies: we don't need to update $(DOMAIN).pot at
+-# every "make" invocation, only create it when it is missing.
+-# Only "make $(DOMAIN).pot-update" or "make dist" will force an update.
+-$(srcdir)/$(DOMAIN).pot:
+-	$(MAKE) $(DOMAIN).pot-update
+-
+-# This target rebuilds a PO file if $(DOMAIN).pot has changed.
+-# Note that a PO file is not touched if it doesn't need to be changed.
+-$(POFILES): $(POFILESDEPS)
+-	@lang=`echo $@ | sed -e 's,.*/,,' -e 's/\.po$$//'`; \
+-	if test -f "$(srcdir)/$${lang}.po"; then \
+-	  test -f $(srcdir)/$(DOMAIN).pot || $(MAKE) $(srcdir)/$(DOMAIN).pot; \
+-	  test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
+-	  echo "$${cdcmd}$(MSGMERGE_UPDATE) $(MSGMERGE_OPTIONS) --lang=$${lang} $${lang}.po $(DOMAIN).pot"; \
+-	  cd $(srcdir) \
+-	    && { case `$(MSGMERGE) --version | sed 1q | sed -e 's,^[^0-9]*,,'` in \
+-	           '' | 0.[0-9] | 0.[0-9].* | 0.1[0-7] | 0.1[0-7].*) \
+-	             $(MSGMERGE_UPDATE) $(MSGMERGE_OPTIONS) $${lang}.po $(DOMAIN).pot;; \
+-	           *) \
+-	             $(MSGMERGE_UPDATE) $(MSGMERGE_OPTIONS) --lang=$${lang} $${lang}.po $(DOMAIN).pot;; \
+-	         esac; \
+-	       }; \
+-	else \
+-	  $(MAKE) $${lang}.po-create; \
+-	fi
+-
+-
+-install: install-exec install-data
+-install-exec:
+-install-data: install-data-@USE_NLS@
+-	if test "$(PACKAGE)" = "gettext-tools"; then \
+-	  $(mkdir_p) $(DESTDIR)$(gettextsrcdir); \
+-	  for file in $(DISTFILES.common) Makevars.template; do \
+-	    $(INSTALL_DATA) $(srcdir)/$$file \
+-			    $(DESTDIR)$(gettextsrcdir)/$$file; \
+-	  done; \
+-	  for file in Makevars; do \
+-	    rm -f $(DESTDIR)$(gettextsrcdir)/$$file; \
+-	  done; \
+-	else \
+-	  : ; \
+-	fi
+-install-data-no: all
+-install-data-yes: all
+-	@catalogs='$(CATALOGS)'; \
+-	for cat in $$catalogs; do \
+-	  cat=`basename $$cat`; \
+-	  lang=`echo $$cat | sed -e 's/\.gmo$$//'`; \
+-	  dir=$(localedir)/$$lang/LC_MESSAGES; \
+-	  $(mkdir_p) $(DESTDIR)$$dir; \
+-	  if test -r $$cat; then realcat=$$cat; else realcat=$(srcdir)/$$cat; fi; \
+-	  $(INSTALL_DATA) $$realcat $(DESTDIR)$$dir/$(DOMAIN).mo; \
+-	  echo "installing $$realcat as $(DESTDIR)$$dir/$(DOMAIN).mo"; \
+-	  for lc in '' $(EXTRA_LOCALE_CATEGORIES); do \
+-	    if test -n "$$lc"; then \
+-	      if (cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc 2>/dev/null) | grep ' -> ' >/dev/null; then \
+-	        link=`cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc | sed -e 's/^.* -> //'`; \
+-	        mv $(DESTDIR)$(localedir)/$$lang/$$lc $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
+-	        mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
+-	        (cd $(DESTDIR)$(localedir)/$$lang/$$lc.old && \
+-	         for file in *; do \
+-	           if test -f $$file; then \
+-	             ln -s ../$$link/$$file $(DESTDIR)$(localedir)/$$lang/$$lc/$$file; \
+-	           fi; \
+-	         done); \
+-	        rm -f $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
+-	      else \
+-	        if test -d $(DESTDIR)$(localedir)/$$lang/$$lc; then \
+-	          :; \
+-	        else \
+-	          rm -f $(DESTDIR)$(localedir)/$$lang/$$lc; \
+-	          mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
+-	        fi; \
+-	      fi; \
+-	      rm -f $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo; \
+-	      ln -s ../LC_MESSAGES/$(DOMAIN).mo $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo 2>/dev/null || \
+-	      ln $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(DOMAIN).mo $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo 2>/dev/null || \
+-	      cp -p $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(DOMAIN).mo $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo; \
+-	      echo "installing $$realcat link as $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo"; \
+-	    fi; \
+-	  done; \
+-	done
+-
+-install-strip: install
+-
+-installdirs: installdirs-exec installdirs-data
+-installdirs-exec:
+-installdirs-data: installdirs-data-@USE_NLS@
+-	if test "$(PACKAGE)" = "gettext-tools"; then \
+-	  $(mkdir_p) $(DESTDIR)$(gettextsrcdir); \
+-	else \
+-	  : ; \
+-	fi
+-installdirs-data-no:
+-installdirs-data-yes:
+-	@catalogs='$(CATALOGS)'; \
+-	for cat in $$catalogs; do \
+-	  cat=`basename $$cat`; \
+-	  lang=`echo $$cat | sed -e 's/\.gmo$$//'`; \
+-	  dir=$(localedir)/$$lang/LC_MESSAGES; \
+-	  $(mkdir_p) $(DESTDIR)$$dir; \
+-	  for lc in '' $(EXTRA_LOCALE_CATEGORIES); do \
+-	    if test -n "$$lc"; then \
+-	      if (cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc 2>/dev/null) | grep ' -> ' >/dev/null; then \
+-	        link=`cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc | sed -e 's/^.* -> //'`; \
+-	        mv $(DESTDIR)$(localedir)/$$lang/$$lc $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
+-	        mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
+-	        (cd $(DESTDIR)$(localedir)/$$lang/$$lc.old && \
+-	         for file in *; do \
+-	           if test -f $$file; then \
+-	             ln -s ../$$link/$$file $(DESTDIR)$(localedir)/$$lang/$$lc/$$file; \
+-	           fi; \
+-	         done); \
+-	        rm -f $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
+-	      else \
+-	        if test -d $(DESTDIR)$(localedir)/$$lang/$$lc; then \
+-	          :; \
+-	        else \
+-	          rm -f $(DESTDIR)$(localedir)/$$lang/$$lc; \
+-	          mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
+-	        fi; \
+-	      fi; \
+-	    fi; \
+-	  done; \
+-	done
+-
+-# Define this as empty until I found a useful application.
+-installcheck:
+-
+-uninstall: uninstall-exec uninstall-data
+-uninstall-exec:
+-uninstall-data: uninstall-data-@USE_NLS@
+-	if test "$(PACKAGE)" = "gettext-tools"; then \
+-	  for file in $(DISTFILES.common) Makevars.template; do \
+-	    rm -f $(DESTDIR)$(gettextsrcdir)/$$file; \
+-	  done; \
+-	else \
+-	  : ; \
+-	fi
+-uninstall-data-no:
+-uninstall-data-yes:
+-	catalogs='$(CATALOGS)'; \
+-	for cat in $$catalogs; do \
+-	  cat=`basename $$cat`; \
+-	  lang=`echo $$cat | sed -e 's/\.gmo$$//'`; \
+-	  for lc in LC_MESSAGES $(EXTRA_LOCALE_CATEGORIES); do \
+-	    rm -f $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo; \
+-	  done; \
+-	done
+-
+-check: all
+-
+-info dvi ps pdf html tags TAGS ctags CTAGS ID:
+-
+-mostlyclean:
+-	rm -f remove-potcdate.sed
+-	rm -f stamp-poT
+-	rm -f core core.* $(DOMAIN).po $(DOMAIN).1po $(DOMAIN).2po *.new.po
+-	rm -fr *.o
+-
+-clean: mostlyclean
+-
+-distclean: clean
+-	rm -f Makefile Makefile.in POTFILES *.mo
+-
+-maintainer-clean: distclean
+-	@echo "This command is intended for maintainers to use;"
+-	@echo "it deletes files that may require special tools to rebuild."
+-	rm -f stamp-po $(GMOFILES)
+-
+-distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)
+-dist distdir:
+-	test -z "$(DISTFILESDEPS)" || $(MAKE) $(DISTFILESDEPS)
+-	@$(MAKE) dist2
+-# This is a separate target because 'update-po' must be executed before.
+-dist2: stamp-po $(DISTFILES)
+-	dists="$(DISTFILES)"; \
+-	if test "$(PACKAGE)" = "gettext-tools"; then \
+-	  dists="$$dists Makevars.template"; \
+-	fi; \
+-	if test -f $(srcdir)/$(DOMAIN).pot; then \
+-	  dists="$$dists $(DOMAIN).pot stamp-po"; \
+-	fi; \
+-	if test -f $(srcdir)/ChangeLog; then \
+-	  dists="$$dists ChangeLog"; \
+-	fi; \
+-	for i in 0 1 2 3 4 5 6 7 8 9; do \
+-	  if test -f $(srcdir)/ChangeLog.$$i; then \
+-	    dists="$$dists ChangeLog.$$i"; \
+-	  fi; \
+-	done; \
+-	if test -f $(srcdir)/LINGUAS; then dists="$$dists LINGUAS"; fi; \
+-	for file in $$dists; do \
+-	  if test -f $$file; then \
+-	    cp -p $$file $(distdir) || exit 1; \
+-	  else \
+-	    cp -p $(srcdir)/$$file $(distdir) || exit 1; \
+-	  fi; \
+-	done
+-
+-update-po: Makefile
+-	$(MAKE) $(DOMAIN).pot-update
+-	test -z "$(UPDATEPOFILES)" || $(MAKE) $(UPDATEPOFILES)
+-	$(MAKE) update-gmo
+-
+-# General rule for creating PO files.
+-
+-.nop.po-create:
+-	@lang=`echo $@ | sed -e 's/\.po-create$$//'`; \
+-	echo "File $$lang.po does not exist. If you are a translator, you can create it through 'msginit'." 1>&2; \
+-	exit 1
+-
+-# General rule for updating PO files.
+-
+-.nop.po-update:
+-	@lang=`echo $@ | sed -e 's/\.po-update$$//'`; \
+-	if test "$(PACKAGE)" = "gettext-tools" && test "$(CROSS_COMPILING)" != "yes"; then PATH=`pwd`/../src:$$PATH; fi; \
+-	tmpdir=`pwd`; \
+-	echo "$$lang:"; \
+-	test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
+-	echo "$${cdcmd}$(MSGMERGE) $(MSGMERGE_OPTIONS) --lang=$$lang $$lang.po $(DOMAIN).pot -o $$lang.new.po"; \
+-	cd $(srcdir); \
+-	if { case `$(MSGMERGE) --version | sed 1q | sed -e 's,^[^0-9]*,,'` in \
+-	       '' | 0.[0-9] | 0.[0-9].* | 0.1[0-7] | 0.1[0-7].*) \
+-	         $(MSGMERGE) $(MSGMERGE_OPTIONS) -o $$tmpdir/$$lang.new.po $$lang.po $(DOMAIN).pot;; \
+-	       *) \
+-	         $(MSGMERGE) $(MSGMERGE_OPTIONS) --lang=$$lang -o $$tmpdir/$$lang.new.po $$lang.po $(DOMAIN).pot;; \
+-	     esac; \
+-	   }; then \
+-	  if cmp $$lang.po $$tmpdir/$$lang.new.po >/dev/null 2>&1; then \
+-	    rm -f $$tmpdir/$$lang.new.po; \
+-	  else \
+-	    if mv -f $$tmpdir/$$lang.new.po $$lang.po; then \
+-	      :; \
+-	    else \
+-	      echo "msgmerge for $$lang.po failed: cannot move $$tmpdir/$$lang.new.po to $$lang.po" 1>&2; \
+-	      exit 1; \
+-	    fi; \
+-	  fi; \
+-	else \
+-	  echo "msgmerge for $$lang.po failed!" 1>&2; \
+-	  rm -f $$tmpdir/$$lang.new.po; \
+-	fi
+-
+-$(DUMMYPOFILES):
+-
+-update-gmo: Makefile $(GMOFILES)
+-	@:
+-
+-# Recreate Makefile by invoking config.status. Explicitly invoke the shell,
+-# because execution permission bits may not work on the current file system.
+-# Use @SHELL@, which is the shell determined by autoconf for the use by its
+-# scripts, not $(SHELL) which is hardwired to /bin/sh and may be deficient.
+-Makefile: Makefile.in.in Makevars $(top_builddir)/config.status @POMAKEFILEDEPS@
+-	cd $(top_builddir) \
+-	  && @SHELL@ ./config.status $(subdir)/[email protected] po-directories
+-
+-force:
+-
+-# Tell versions [3.59,3.63) of GNU make not to export all variables.
+-# Otherwise a system limit (for SysV at least) may be exceeded.
+-.NOEXPORT:
+diff --git a/po/web_help/remove-potcdate.sin b/po/web_help/remove-potcdate.sin
+deleted file mode 100644
+index 2436c49e7..000000000
+--- a/po/web_help/remove-potcdate.sin
++++ /dev/null
+@@ -1,19 +0,0 @@
+-# Sed script that remove the POT-Creation-Date line in the header entry
+-# from a POT file.
+-#
+-# The distinction between the first and the following occurrences of the
+-# pattern is achieved by looking at the hold space.
+-/^"POT-Creation-Date: .*"$/{
+-x
+-# Test if the hold space is empty.
+-s/P/P/
+-ta
+-# Yes it was empty. First occurrence. Remove the line.
+-g
+-d
+-bb
+-:a
+-# The hold space was nonempty. Following occurrences. Do nothing.
+-x
+-:b
+-}
+-- 
+2.47.3
+
diff -Nru sympa-6.2.76~dfsg/debian/patches/series sympa-6.2.76~dfsg/debian/patches/series
--- sympa-6.2.76~dfsg/debian/patches/series	1970-01-01 02:00:00.000000000 +0200
+++ sympa-6.2.76~dfsg/debian/patches/series	2026-06-07 08:23:12.000000000 +0300
@@ -0,0 +1 @@
+0001-make-gettext-up-to-date.patch

Reply via email to